cURL
curl --request GET \
--url https://sandbox.withclasp.com/quotes/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/quotes/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/quotes/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"lines_of_coverage": [
"medical"
],
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"quote_plans": [
"<string>"
],
"employer_details": {
"company_name": "<string>",
"zip_code": "<string>",
"state": "AL",
"sic_code": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"phone_number": "<string>"
},
"employer": "<string>",
"census_upload": "<string>",
"submitted_at": "2023-11-07T05:31:56Z"
}Quotes
Retrieve Quote
Retrieves a quote and its status. Expand quote_plans to include returned rates.
GET
/
quotes
/
{public_id}
cURL
In sandbox, returned plans and rates are sample data for integration testing and are not representative of live pricing.
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Query Parameters
Available values include quote_plans and quote_plans.carrier.
Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Available options:
medical, dental, vision, life, voluntary_life draft- Draftrates_returned- Rates Returnedawaiting_carrier- Awaiting Carrier
Available options:
draft, rates_returned, awaiting_carrier Show child attributes
Show child attributes